<?php

/**
 * Implements hook_views_data().
 */
function pagenotfound_reports_views_data() {
  $data = array();

  // Table metadata
  $data['pagenotfound_reports_log'] = array(
    'table' => array(
      'group' => t('Pages not found'),
      'base' => array(
        'field' => 'log_id',
        'title' => t('Pages not found'),
        'help' => t('Fields and relationships for the {pagenotfound_reports_log} schema.'),
      ),
    ),
  );

  // Fields
  $data['pagenotfound_reports_log']['log_id'] = array(
    'title' => t('Log ID'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
      'numeric' => TRUE,
      'validate type' => 'id',
    ),
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );

  $data['pagenotfound_reports_log']['timestamp'] = array(
    'title' => t('Timestamp'),
    'field' => array(
      'handler' => 'views_handler_field_date',
      'click sortable' => TRUE,
     ),
    'filter' => array(
      'handler' => 'views_handler_filter_date',
    ),
    'sort' => array(
      'handler' => 'views_handler_sort_date',
    ),
  );

  return $data;
}
